Pools
Public scene pools for community sharing
Returns all public scene pools with filtering and pagination
Query parameters
eth_addressstringOptional
groupstringOptional
sort_bystringOptional
Field to sort by
sort_orderstring · enumOptionalPossible values:
Sort order
limitinteger · min: 1 · max: 100OptionalDefault:
Number of items per page
20offsetintegerOptional
Offset for pagination
Responses
200
List of pools
application/json
okbooleanOptional
get/pools
GET /v1/pools HTTP/1.1
Host: builder-api.decentraland.org
Accept: */*
200
List of pools
{
"ok": true,
"data": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"title": "text",
"description": "text",
"thumbnail": "text",
"scene_id": "123e4567-e89b-12d3-a456-426614174000",
"eth_address": "text",
"cols": 1,
"rows": 1,
"parcels": 1,
"transforms": 1,
"gltf_shapes": 1,
"nft_shapes": 1,
"scripts": 1,
"entities": 1,
"is_deleted": true,
"is_public": true,
"is_template": true,
"creation_coords": "text",
"template_status": "active",
"video": "text",
"created_at": "2026-01-01T00:00:00.000Z",
"updated_at": "2026-01-01T00:00:00.000Z",
"groups": [
"123e4567-e89b-12d3-a456-426614174000"
],
"likes": 1,
"like": true
}
]
}Returns a pool by project ID
Path parameters
idstring · uuidRequired
Project UUID
Responses
200
Pool details
application/json
okbooleanOptional
get/projects/{id}/pool
GET /v1/projects/{id}/pool HTTP/1.1
Host: builder-api.decentraland.org
Accept: */*
200
Pool details
{
"ok": true,
"data": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"title": "text",
"description": "text",
"thumbnail": "text",
"scene_id": "123e4567-e89b-12d3-a456-426614174000",
"eth_address": "text",
"cols": 1,
"rows": 1,
"parcels": 1,
"transforms": 1,
"gltf_shapes": 1,
"nft_shapes": 1,
"scripts": 1,
"entities": 1,
"is_deleted": true,
"is_public": true,
"is_template": true,
"creation_coords": "text",
"template_status": "active",
"video": "text",
"created_at": "2026-01-01T00:00:00.000Z",
"updated_at": "2026-01-01T00:00:00.000Z",
"groups": [
"123e4567-e89b-12d3-a456-426614174000"
],
"likes": 1,
"like": true
}
}Creates a pool from a project or updates an existing pool
Authorizations
X-Identity-Auth-Chain-*stringRequired
Signed fetch authentication using Decentraland's ADR-44 specification. Multiple headers are used to provide the authentication chain.
Path parameters
idstring · uuidRequired
Project UUID
Body
groupsstring · uuid[]Optional
Responses
200
Pool created/updated successfully
No content
401
Unauthorized - authentication required or insufficient permissions
application/json
404
Resource not found
application/json
put/projects/{id}/pool
PUT /v1/projects/{id}/pool HTTP/1.1
Host: builder-api.decentraland.org
X-Identity-Auth-Chain-*: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 51
{
"groups": [
"123e4567-e89b-12d3-a456-426614174000"
]
}No content
Last updated